Subject: bug#17394: [External] : bug#17394: 24.4.50; enhancement request: split `next-error-function' functionality in two

From: Drew Adams <[email-masked]>
Date: Tue, 25 Jan 2022 16:17:31 +0000

> Ted Zlatanov <[email-masked]> writes:
> 
> > This may work for some modes but not others. The `next-error' facility
> > is opaque to the caller because each mode has to decide what makes sense
> > in terms of locations and motion to them. So I think trying to expose
> > more of the internals and formalize them would limit the ways in which
> > it can be useful.
> 
> Skimming this thread, I agree, so I'm closing this bug report.

This is _really_ too bad.  This has nothing
whatsoever to do with any "internals".

There's no difficulty in providing a means
for a mode to offer Lisp access to the
locations, and there's no problem in letting
a mode not do that.  Not every mode needs to
offer this usability.

This enhancement would provide an important,
useful feature.  It's sad that you don't see
that, but I expect that in another decade or
two Emacs will provide this, or similar.